# PSF-LoginServer - master - net.psforever.objects.Vehicle
PSF - LoginServer - master - net.psforever.objects.Vehicle
Keywords: PSF LoginServer master net.psforever.objects.Vehicle

PSF-LoginServer - master < Back


# Packages

-  package root
  Definition Classes
    root
-  package net
  Definition Classes
    root
-  package psforever
  Definition Classes
    net
-  package objects
  Definition Classes
    psforever
-  package avatar
  Definition Classes
    objects
-  package ballistics
  Definition Classes
    objects
-  package ce
  Definition Classes
    objects
-  package definition
  Definition Classes
    objects
-  package entity
  Definition Classes
    objects
-  package equipment
  Definition Classes
    objects
-  package geometry
  Definition Classes
    objects
-  package guid
  Definition Classes
    objects
-  package inventory
  Definition Classes
    objects
-  package loadouts
  Definition Classes
    objects
-  package locker
  Definition Classes
    objects
-  package serverobject
  Definition Classes
    objects
-  package teamwork
  Definition Classes
    objects
-  package vehicles
  Definition Classes
    objects
-  package vital
  Definition Classes
    objects
-  package zones
  Definition Classes
    objects
- Account
- AmmoBox
- BoomerDeployable
- BoomerDeployableControl
- BoomerDeployableDefinition
- BoomerTrigger
- CommonNtuContainer
- ConstructionItem
- Default
- Deployables
- ExplosiveDeployable
- ExplosiveDeployableControl
- ExplosiveDeployableDefinition
- GlobalDefinitions
- Kit
- LivePlayerList
- LocalLockerItem
- LocalProjectile
- MineDeployableControl
- Ntu
- NtuContainer
- NtuContainerDefinition
- NtuStorageBehavior
- ObjectType
- OffhandEquipmentSlot
- OwnableByPlayer
- PlanetSideGameObject
- Player
- Players
- SensorDeployable
- SensorDeployableControl
- SensorDeployableDefinition
- Session
- ShieldGeneratorControl
- ShieldGeneratorDefinition
- ShieldGeneratorDeployable
- SimpleItem
- SpawnPoint
- SpawnPointDefinition
- SpecialEmp
- Telepad
- TelepadControl
- TelepadDeployable
- TelepadDeployableControl
- TelepadDeployableDefinition
- Tool
- Tools
- TrapDeployable
- TrapDeployableControl
- TrapDeployableDefinition
- TurretControl
- TurretDeployable
- TurretDeployableDefinition
- Vehicle
- Vehicles

o

net.psforever.objects

# Vehicle 

###
Companion class Vehicle

#### object Vehicle

Source
  Vehicle.scala

Linear Supertypes
AnyRef, Any

Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. Vehicle
2. AnyRef
3. Any

1. Hide All
2. Show All

Visibility

1. Public
2. Protected

### Type Members

1.  final case class ChargeShields (amount: Int) extends Product with Serializable

   A request has been made to charge this vehicle's shields.

   A request has been made to charge this vehicle's shields.

   amount

     the number of points to charge

   See also

     `FacilityBenefitShieldChargeRequestMessage`

2.  final case class Deconstruct (time: Option[FiniteDuration] = None) extends Product with Serializable

   Initiate vehicle deconstruction.

   Initiate vehicle deconstruction.

   time

     the delay before deconstruction should initiate; should initiate instantly when `None`

   See also

     `VehicleControl`

3.  sealed trait Exchange extends AnyRef

   A basic `Trait` connecting all of the actionable `Vehicle` response messages.

4.  final case class Ownership (player: Option[Player]) extends Product with Serializable

   Change a vehicle's internal ownership property to match that of the target player.

   Change a vehicle's internal ownership property to match that of the target player.

   player

     the person who will own the vehicle, or `None` if the vehicle will go unowned

5.  final case class Reactivate () extends Product with Serializable

   The `Vehicle` will resume previous unresponsiveness to player activity.

   The `Vehicle` will resume previous unresponsiveness to player activity.

   See also

     `VehicleControl`

6.  final case class UpdateShieldsCharge (vehicle: Vehicle) extends Product with Serializable

   Following a successful shield charge tick, display the results of the update.

   Following a successful shield charge tick, display the results of the update.

   vehicle

     the updated vehicle

   See also

     `FacilityBenefitShieldChargeRequestMessage`

7.  final case class UpdateZoneInteractionProgressUI (passenger: Player) extends Product with Serializable

   For vehicles, this pertains mainly to resending information needs to display the the drowning red progress bar that is a product of the `OxygenStateMessage` packet to vehicle passengers.

   For vehicles, this pertains mainly to resending information needs to display the the drowning red progress bar that is a product of the `OxygenStateMessage` packet to vehicle passengers. It also forces passengers to update their internal understanding of their own drowning state.

   passenger

     a player mounted in the vehicle

8.  final case class VehicleMessages (player: Player, response: Exchange) extends Product with Serializable

   Message that carries the result of the processed request message back to the original user (`player`).

   Message that carries the result of the processed request message back to the original user (`player`).

   player

     the player who sent this request message

   response

     the result of the processed request

### Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##: Int
   Definition Classes
     AnyRef → Any
3.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
4.  def EquipmentUtilities(utilities: Map[Int, Utility]): Map[Int, Utility]

   Given a `Map` of `Utility` objects, only return the objects with a positive or zero-index position.

   Given a `Map` of `Utility` objects, only return the objects with a positive or zero-index position.

   returns

     a map of applicable utilities

5.  def LoadDefinition(vehicle: Vehicle): Vehicle

   Use the `*Definition` that was provided to this object to initialize its fields and settings.

   Use the `*Definition` that was provided to this object to initialize its fields and settings.

   vehicle

     the `Vehicle` being initialized

   See also

     `{object}.LoadDefinition`

6.  def apply(vehicleDef: VehicleDefinition): Vehicle

   Overloaded constructor.

   Overloaded constructor.

   vehicleDef

     the vehicle's definition entry

   returns

     a `Vehicle` object

7.  final def asInstanceOf[T0]: T0
   Definition Classes
     Any
8.  def clone(): AnyRef
   Attributes
     protected[lang]
   Definition Classes
     AnyRef
   Annotations
     @throws(classOf[java.lang.CloneNotSupportedException]) @native()
9.  final def eq(arg0: AnyRef): Boolean
   Definition Classes
     AnyRef
10.  def equals(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef → Any
11.  def finalize(): Unit
    Attributes
      protected[lang]
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.Throwable])
12.  final def getClass(): Class[_ <: AnyRef]
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
13.  def hashCode(): Int
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
14.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
15.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
16.  final def notify(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
17.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
18.  final def synchronized[T0](arg0: => T0): T0
    Definition Classes
      AnyRef
19.  def toString(obj: Vehicle): String

    Provide a fixed string representation.

    Provide a fixed string representation.

    returns

      the string output

20.  def toString(): String
    Definition Classes
      AnyRef → Any
21.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
22.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
23.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException]) @native()
24.  object Ownership extends Serializable

### Inherited from AnyRef

### Inherited from Any

### Ungrouped